Name: x11-driver-video-modesetting
Version: 0.8.0
Release: %mkrel 2
Epoch: 1
Summary: Generic X.org driver
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-modesetting-%{version}.tar.bz2

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-modesetting is a generic X.org driver for hardware managed
by KMS (Kernel Mode Setting), eg: ATI/AMD, Intel & Nvidia.

%prep
%setup -q -n xf86-video-modesetting-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/*
%{_mandir}/man4/modesetting.*



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:0.8.0-2.mga4
+ Revision: 527945
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 tv <tv> 1:0.8.0-1.mga4
+ Revision: 443009
- new release

* Thu May 30 2013 tv <tv> 1:0.7.0-3.mga4
+ Revision: 433109
- submit to core/release

* Fri May 24 2013 tv <tv> 1:0.7.0-2.mga4
+ Revision: 425653
- rebuild with xserver-1.14

* Thu May 23 2013 tv <tv> 1:0.7.0-1.mga4
+ Revision: 424843
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1:0.6.0-2.mga3
+ Revision: 385995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 tmb <tmb> 1:0.6.0-1.mga3
+ Revision: 343879
- update to 0.6.0

* Sat Sep 15 2012 tv <tv> 1:0.5.0-1.mga3
+ Revision: 294097
- new release

* Thu Sep 06 2012 tv <tv> 1:0.4.0-2.mga3
+ Revision: 288934
- rebuild for new xserver

* Tue Jun 26 2012 tv <tv> 1:0.4.0-1.mga3
+ Revision: 264089
- new release

* Wed Jun 06 2012 tmb <tmb> 1:0.2.0-3.mga3
+ Revision: 256440
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1:0.2.0-2.mga3
+ Revision: 252966
- rebuild b/c of ia32 failure

* Fri Feb 24 2012 tv <tv> 1:0.2.0-1.mga3
+ Revision: 213932
- new release

* Sat Feb 18 2012 tv <tv> 1:0.1.0-1.mga2
+ Revision: 210462
- imported package x11-driver-video-modesetting

